<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__types__implementation" kind="group">
    <compoundname>group_hal_types_implementation</compoundname>
    <title>Implementation Specific Types</title>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__types__implementation_1ga6fa614f4db78a602ddbdd0d6c6558c75" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_adc_t</definition>
        <argsstring />
        <name>cyhal_adc_t</name>
        <briefdescription>
<para>ADC instance object for use with the ADC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="77" column="1" file="hal/template/cyhal_hw_types_template.h" line="77" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga0435b7792bc72ba1d2d2029f7b655506" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_adc_channel_t</definition>
        <argsstring />
        <name>cyhal_adc_channel_t</name>
        <briefdescription>
<para>ADC channel instance object for use with the ADC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="85" column="1" file="hal/template/cyhal_hw_types_template.h" line="85" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga50b7592ce601b2998a854b4f3731a060" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_comp_t</definition>
        <argsstring />
        <name>cyhal_comp_t</name>
        <briefdescription>
<para>Comparator instance object for use with the Comparator driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="93" column="1" file="hal/template/cyhal_hw_types_template.h" line="93" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga9426486751ae7dfaf2d8c0e5578fb33e" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_crc_t</definition>
        <argsstring />
        <name>cyhal_crc_t</name>
        <briefdescription>
<para>CRC instance object for use with the CRC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="101" column="1" file="hal/template/cyhal_hw_types_template.h" line="101" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga073aa47a7acec06dc54fb2ed08bdc3e9" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_dac_t</definition>
        <argsstring />
        <name>cyhal_dac_t</name>
        <briefdescription>
<para>DAC instance object for use with the DAC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="109" column="1" file="hal/template/cyhal_hw_types_template.h" line="109" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gac478af1064b0bd94f73c2d5e7c868708" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_dma_t</definition>
        <argsstring />
        <name>cyhal_dma_t</name>
        <briefdescription>
<para>DMA instance object for use with the DMA driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="117" column="1" file="hal/template/cyhal_hw_types_template.h" line="117" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gafe92f247338f36a9d4480d092d56e84f" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_flash_t</definition>
        <argsstring />
        <name>cyhal_flash_t</name>
        <briefdescription>
<para>Flash instance object for use with the Flash memory driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="125" column="1" file="hal/template/cyhal_hw_types_template.h" line="125" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga37579d500a1d05905c8f2bea4e907f99" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_gpio_t</definition>
        <argsstring />
        <name>cyhal_gpio_t</name>
        <briefdescription>
<para>GPIO instance object for use with all peripheral drivers using pins. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="133" column="1" file="hal/template/cyhal_hw_types_template.h" line="133" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga32f094d79c0c6a3cb3f006ad5ebea3f6" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_i2c_t</definition>
        <argsstring />
        <name>cyhal_i2c_t</name>
        <briefdescription>
<para>I2C instance object for use with the I2C driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="141" column="1" file="hal/template/cyhal_hw_types_template.h" line="141" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gad248d645946045b26fcda59e77e43015" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_i2s_t</definition>
        <argsstring />
        <name>cyhal_i2s_t</name>
        <briefdescription>
<para>I2S instance object for use with the I2S driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="149" column="1" file="hal/template/cyhal_hw_types_template.h" line="149" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gadb735d72cb204e34d868203597d1aa02" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_lptimer_t</definition>
        <argsstring />
        <name>cyhal_lptimer_t</name>
        <briefdescription>
<para>LPTIMER instance object for use with the Low Power Timer driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="157" column="1" file="hal/template/cyhal_hw_types_template.h" line="157" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gad67e8f567b5d54aa35511a1bddb371d9" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_opamp_t</definition>
        <argsstring />
        <name>cyhal_opamp_t</name>
        <briefdescription>
<para>OpAmp instance object for use with the OpAmp driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="165" column="1" file="hal/template/cyhal_hw_types_template.h" line="165" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gad699a32011e66d85dd608493fff4feca" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_pwm_t</definition>
        <argsstring />
        <name>cyhal_pwm_t</name>
        <briefdescription>
<para>PWM instance object for use with the PWM driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="173" column="1" file="hal/template/cyhal_hw_types_template.h" line="173" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gaee62c60c87757ba11e91e8022de868e9" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_qspi_t</definition>
        <argsstring />
        <name>cyhal_qspi_t</name>
        <briefdescription>
<para>QSPI instance object for use with the Quad SPI driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="181" column="1" file="hal/template/cyhal_hw_types_template.h" line="181" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gac0f4aa3ae8f0eec37207cafa459fa5dd" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_trng_t</definition>
        <argsstring />
        <name>cyhal_trng_t</name>
        <briefdescription>
<para>TRNG instance object for use with the True Random Number Generator driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="189" column="1" file="hal/template/cyhal_hw_types_template.h" line="189" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gab66308c164165ae4ec6661882fe84952" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_rtc_t</definition>
        <argsstring />
        <name>cyhal_rtc_t</name>
        <briefdescription>
<para>RTC instance object for use with the Real Time Clock driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="197" column="1" file="hal/template/cyhal_hw_types_template.h" line="197" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga076330ea608dace9fbae6a3e37047ed5" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_sdhc_t</definition>
        <argsstring />
        <name>cyhal_sdhc_t</name>
        <briefdescription>
<para>SDHC instance object for use with the SDHC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="205" column="1" file="hal/template/cyhal_hw_types_template.h" line="205" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga20445ff946ed88a7b95db6be511d6e17" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_sdio_t</definition>
        <argsstring />
        <name>cyhal_sdio_t</name>
        <briefdescription>
<para>SDIO instance object for use with the SDIO driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="213" column="1" file="hal/template/cyhal_hw_types_template.h" line="213" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga582f5fdf438f1086c7c28e06ef097950" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_spi_t</definition>
        <argsstring />
        <name>cyhal_spi_t</name>
        <briefdescription>
<para>SPI instance object for use with the SPI driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="221" column="1" file="hal/template/cyhal_hw_types_template.h" line="221" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga797a1d207419a3ce620a8da0035d1d55" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_timer_t</definition>
        <argsstring />
        <name>cyhal_timer_t</name>
        <briefdescription>
<para>Timer instance object for use with the Timer driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="229" column="1" file="hal/template/cyhal_hw_types_template.h" line="229" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga26531cd03f1520a76ffd9d906f6ff8fc" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_uart_t</definition>
        <argsstring />
        <name>cyhal_uart_t</name>
        <briefdescription>
<para>UART instance object for use with the UART driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="237" column="1" file="hal/template/cyhal_hw_types_template.h" line="237" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga85cbdc080fde43f1b5f00c33c2ceed91" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_usb_dev_t</definition>
        <argsstring />
        <name>cyhal_usb_dev_t</name>
        <briefdescription>
<para>USB Device instance object for use with the USB driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="245" column="1" file="hal/template/cyhal_hw_types_template.h" line="245" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gabb967889ff74acdaad515b63d1761752" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_stc_syspm_callback_t</definition>
        <argsstring />
        <name>cy_stc_syspm_callback_t</name>
        <briefdescription>
<para>Callback data for use with the System Sleep and Deepsleep APIs. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="254" column="1" file="hal/template/cyhal_hw_types_template.h" line="254" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gaaf0a928742df23047181e2b0cd263e6d" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_clock_t</definition>
        <argsstring />
        <name>cyhal_clock_t</name>
        <briefdescription>
<para>Clock type for use with the peripheral drivers. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="262" column="1" file="hal/template/cyhal_hw_types_template.h" line="262" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gae6e4ea4100036d96d2efc006a3f69c9b" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t cyhal_source_t</definition>
        <argsstring />
        <name>cyhal_source_t</name>
        <briefdescription>
<para>Routable signal source. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this enum. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="271" column="1" file="hal/template/cyhal_hw_types_template.h" line="271" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga8cc68fc0f23a2de010228ae5188598f0" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t cyhal_dest_t</definition>
        <argsstring />
        <name>cyhal_dest_t</name>
        <briefdescription>
<para>Routable signal destination. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this enum. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="279" column="1" file="hal/template/cyhal_hw_types_template.h" line="279" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The following types are used by the HAL, but are defined by the implementation. </para>    </briefdescription>
    <detaileddescription>
<para>As a result, the types can, and need to, be used in the application but the contents can not. It is not safe to rely on how the type is defined. In addition to changing between implementations of the HAL, they may also change between versions of a single implementation. </para>    </detaileddescription>
  </compounddef>
</doxygen>